Events & Errors
Get Error Event by ID
Retrieve detailed information for a specific error event including symbolicated stack traces and AI root cause summary.
GET
/
events
/
{id}
Get Error Event by ID
curl --request GET \
--url https://api.traceback.dev/v1/events/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.traceback.dev/v1/events/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.traceback.dev/v1/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timestamp": "2026-09-03T18:00:00Z",
"environment": "production",
"release": "web@2.4.1",
"exception": {
"type": "TypeError",
"value": "Cannot read properties of undefined (reading 'items')",
"stacktrace": [
{
"filename": "src/checkout/cart.ts",
"lineno": 42,
"colno": 18,
"function": "calculateTotal",
"in_app": true
}
]
},
"id": "e4a2c984-7a1b-4f9e-8c4d-91b3e5a2c110",
"user": {
"id": "usr_94827",
"email": "alex@example.com"
},
"tags": {
"tier": "enterprise",
"datacenter": "us-east-1"
},
"trace_id": "4bf92f3577b34da6a3ce929d0e0e4736",
"replay_id": "rpl_01HJZ97K1A9QG038F"
}Authorizations
Your project or organization API key starting with tb_live_ or tb_test_.
Path Parameters
Response
Event details returned successfully
Example:
"2026-09-03T18:00:00Z"
Example:
"production"
Example:
"web@2.4.1"
Show child attributes
Show child attributes
Example:
"e4a2c984-7a1b-4f9e-8c4d-91b3e5a2c110"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{
"tier": "enterprise",
"datacenter": "us-east-1"
}
Example:
"4bf92f3577b34da6a3ce929d0e0e4736"
Example:
"rpl_01HJZ97K1A9QG038F"
⌘I
Get Error Event by ID
